Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012876
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2010-04-06 09:492010-04-09 00:00
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version2.50MP15
StatusclosedFix in branchpiFixed in SCM revisionaedb42a83ae4
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012876: API change: in domain type interface

DescriptionThe domain type interfaces are used to model the primitive and foreign key types in-memory (a Domain Type corresponds to the AD_Reference).

I have committed an api change in the primitive type domain type interface class:
- added hibernate type method
- added methods to support xml conversion for a domain type

Default implementations of these methods are available in the BasePrimitiveDomainType class.

My estimate is that the impact of this api change is limited and it is low risk as:
- the api/interface has been introduced in the previous MP, so it is not old
- the documentation clearly states to preferably extend the BasePrimitiveDomainType when implementing own domain types

This is the changeset implementing the change:
http://code.openbravo.com/erp/devel/pi/rev/fb97b5f3e905e1f27e7be9961d077fa27ba63b97 [^]

It has been pushed to pi.



TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0012632pi closedmtaal DomainType should be extended with hibernatetype and xml conversion 
depends on defect 0012633pi closedmtaal XML Conversion from integer numbers should be more robust 

-  Notes
(0025893)
pjuvara (reporter)
2010-04-06 13:51

API change accepted.

Please publish an alert and proceed.

Suggest alert severity: medium.
(0025962)
hgbot (developer)
2010-04-07 21:15

Repository: erp/devel/api-checks
Changeset: aedb42a83ae474b24137cc0445f7f598c131b596
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Apr 07 21:27:29 2010 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/aedb42a83ae474b24137cc0445f7f598c131b596 [^]

fixes issue 12876: API change: in domain type interface

---
M java/reference/250.japi.gz
---
(0025970)
mtaal (developer)
2010-04-08 11:41

Api change acknowledged, api-baseline file has been updated, build passes

- Issue History
Date Modified Username Field Change
2010-04-06 09:49 mtaal New Issue
2010-04-06 09:49 mtaal Assigned To => pjuvara
2010-04-06 09:49 mtaal Relationship added related to 0012632
2010-04-06 09:49 mtaal Relationship added depends on 0012633
2010-04-06 13:29 shuehner Priority normal => immediate
2010-04-06 13:29 shuehner Severity major => critical
2010-04-06 13:29 shuehner Issue Monitored: shuehner
2010-04-06 13:51 pjuvara Assigned To pjuvara => mtaal
2010-04-06 13:51 pjuvara Status new => scheduled
2010-04-06 13:51 pjuvara Note Added: 0025893
2010-04-06 13:51 pjuvara fix_in_branch => pi
2010-04-07 21:15 hgbot Checkin
2010-04-07 21:15 hgbot Note Added: 0025962
2010-04-07 21:15 hgbot Status scheduled => resolved
2010-04-07 21:15 hgbot Resolution open => fixed
2010-04-07 21:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/aedb42a83ae474b24137cc0445f7f598c131b596 [^]
2010-04-08 11:41 mtaal Note Added: 0025970
2010-04-08 11:41 mtaal Status resolved => closed
2010-04-08 11:41 mtaal Fixed in Version => 2.50MP15
2010-04-09 00:00 anonymous sf_bug_id 0 => 2984168


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker